for seed in 100 200 300 400 500
do

python experiments/train.py \
--seed $seed \
--task "mnli" \
--model_name_or_path  "roberta-base" \
--per_device_train_batch_size 16    \
--per_device_eval_batch_size 16    \
--learning_rate 5e-4 \
--weight_decay 0.01 \
--num_train_epochs 25 \
--num_warmup_steps 2 \
--output_dir "roberta_base_rolora" \
--peft_type "rolora" \
--lora_alpha 8 \
--r 8 \
--lora_dropout 0.1 \
--orth_reg_weight 0.1 \
--tinit 8000 \
--tfinal 50000 \
--deltaT 100 \
--report_to "wandb" \
--with_tracking \
--load_best_model \
--num_retrain 3 \
--evaluation_steps 1000
done
